<?php

    namespace FederationLib\Interfaces;

    use FederationLib\Objects\InvokeResults;

    interface CommandAppletInterface
    {
        /**
         * Returns the command to execute.
         *
         * @return string
         */
        public static function getCommand(): string;

        /**
         * Executes the command and returns the results.
         *
         * @param string $uid
         * @param array $args
         * @return InvokeResults
         */
        public static function execute(string $uid, array $args): InvokeResults;
    }