<?php

    /** @noinspection PhpMissingFieldTypeInspection */

    namespace FederationLib\Objects;

    class InvokeResults
    {
        /**
         * @var int
         */
        private $exit_code;

        /**
         * @var string
         */
        private $output;

        /**
         * InvokeResults constructor.
         *
         * @param int $exit_code
         * @param string $output
         */
        public function __construct(int $exit_code, string $output)
        {
            $this->exit_code = $exit_code;
            $this->output = $output;
        }

        /**
         * Returns the exit code of the command.
         *
         * @return int
         */
        public function getExitCode(): int
        {
            return $this->exit_code;
        }

        /**
         * Returns the output of the command.
         *
         * @return string
         */
        public function getOutput(): string
        {
            return $this->output;
        }
    }